package tech.deepq.source.processor;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.messaging.Message;
import tech.deepq.common.db.entity.vo.TaskMiniVO;
import tech.deepq.common.dto.HttpRes;
import tech.deepq.source.handler.SourceHandler;

import java.util.List;
import java.util.function.Function;

/**
 * @author xuye
 * @since 2023/1/15 19:00
 **/
@Slf4j
@Configuration
@RequiredArgsConstructor
public class MessageConsumer {

    private final SourceHandler sourceHandler;

    @Bean
    public Function<Message<TaskMiniVO>, List<Message<HttpRes>>> source() {
        return sourceHandler::handle;
    }


}
